class_name CancelButton extends Button

@export var cancel_action: StringName = &"ui_cancel"

func _gui_input(event: InputEvent) -> void:
    if event.is_action_pressed(cancel_action):
        accept_event()
        release_focus()
        KCUtils.notify(get_parent(), NOTIFICATION_FOCUS_EXIT, true)
